Community

Subscribe
Highlighted

SC 4.0p1 command line error

Hi,

Whenever I try to execute the snapcreator command line interface on AIX 6.1 it generates errors.

For example if I run as a non-admin user:

[user@host]$ ./snapcreator --server smoora01 --port 9191 --user user --passwd password --profile snapdb2 --config snapdb2_data --action cloneVol --policy daily --verbose

Panic: '/usr/opt/perl5/lib/5.8.8/aix-thread-multi/CORE/libperl.o' is not an ActivePerl 5.12 library

If I run as root:

[root@host]$ ./snapcreator --server smoora01 --port 9191 --user user --passwd password --profile snapdb2 --config snapdb2_data --action cloneVol --policy daily --verbose

401 Unauthorized at /</opt/NetApp/scServer4.0p1d2/snapcreator>SnapCreator/Service/Engine.pm line 483

There are no PERL variables set in my environment

env | grep PERL

Perl version looks like it may be wrong?

 

perl -V

Summary of my perl5 (revision 5 version 8 subversion 8) configuration:

  Platform:

    osname=aix, osvers=5.3.0.0, archname=aix-thread-multi

    uname='aix akash79 3 5 00011a85d600 '

    config_args='-desr -Dinstallprefix=/usr/opt/perl5 -Dprefix=/usr/opt/perl5 -Dcc=xlc_r -Duseshrplib -Dusethreads'

    hint=recommended, useposix=true, d_sigaction=define

    usethreads=define use5005threads=undef useithreads=define usemultiplicity=define

    useperlio=define d_sfio=undef uselargefiles=define usesocks=undef

    use64bitint=undef use64bitall=undef uselongdouble=undef

    usemymalloc=n, bincompat5005=undef

  Compiler:

    cc='cc_r', ccflags ='-D_ALL_SOURCE -D_ANSI_C_SOURCE -D_POSIX_SOURCE -qmaxmem=-1 -qnoansialias -DUSE_NATIVE_DLOPEN -DNEED_PTHREAD_INIT -q32 -D_LARGE_FILES -qlonglong',

    optimize='-O',

    cppflags='-D_ALL_SOURCE -D_ANSI_C_SOURCE -D_POSIX_SOURCE -qmaxmem=-1 -qnoansialias -DUSE_NATIVE_DLOPEN -DNEED_PTHREAD_INIT'

    ccversion='9.0.0.2', gccversion='', gccosandvers=''

    intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=4321

    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=8

    ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8

    alignbytes=8, prototype=define

  Linker and Libraries:

    ld='ld', ldflags =' -brtl -bdynamic -b32'

    libpth=/lib /usr/lib /usr/ccs/lib

    libs=-lbind -lnsl -lgdbm -ldbm -ldb -ldl -lld -lm -lcrypt -lpthreads -lc -lbsd

    perllibs=-lbind -lnsl -ldl -lld -lm -lcrypt -lpthreads -lc -lbsd

    libc=, so=a, useshrplib=true, libperl=libperl.a

    gnulibc_version=''

  Dynamic Linking:

    dlsrc=dl_aix.xs, dlext=so, d_dlsymun=undef, ccdlflags='  -bE:/usr/opt/perl5/lib/5.8.8/aix-thread-multi/CORE/perl.exp'

    cccdlflags=' ', lddlflags='-bhalt:4 -bexpall -G -bnoentry -lpthreads -lc'

Characteristics of this binary (from libperl):

  Compile-time options: MULTIPLICITY PERL_IMPLICIT_CONTEXT

                        PERL_MALLOC_WRAP USE_ITHREADS USE_LARGE_FILES

                        USE_PERLIO USE_REENTRANT_API

  Built under aix

  Compiled at Jun  2 2009 16:11:40

  @INC:

    /usr/opt/perl5/lib/5.8.8/aix-thread-multi

    /usr/opt/perl5/lib/5.8.8

    /usr/opt/perl5/lib/site_perl/5.8.8/aix-thread-multi

    /usr/opt/perl5/lib/site_perl/5.8.8

    /usr/opt/perl5/lib/site_perl

Thanks,

Leighton

Re: SC 4.0p1 command line error

Hi Leighton,

This has nothing to do with Perl. The CLI is compiled perl and thus included in binary is perl interpreter what you have installed on syxstem is ignored.

SC CLI uses HTTP protocol to communicate with server therefore communications issues are returned as HTPP errors.

http://en.wikipedia.org/wiki/List_of_HTTP_status_codes

I would check and snsure this user exists in Snap Creator and has permissions. You need at minimum operator role to perform cloneVol action. You can also create your own roles or make user admin to verify if this is permissions problem.

Regards,

Keith

Re: SC 4.0p1 command line error

Hi Keith,

Thanks for the info. I got the command to work using the root user. However any other non-root user doesn't work and fails with the error:

Panic: '/usr/opt/perl5/lib/5.8.8/aix-thread-multi/CORE/libperl.o' is not an ActivePerl 5.12 library

Is there any specific documentation on the CLI requirements? I didn't find any in the admin docs.

Best,

Leighton

Re: SC 4.0p1 command line error

The CLI unpacks to your OS tmp dir so maybe the user did not have permission there? You need read and write to tmp. Can you check this?

Regards,

Keith

Re: SC 4.0p1 command line error

Users have full access to /tmp

$ ls -ld /tmp

drwxrwxrwt   44 bin      bin            8192 Oct 28 14:16 /tmp

is there a file in particular that I should be looking for?

Leighton